Bug 185704 - Chillu in Malayalam not properly rendered
Summary: Chillu in Malayalam not properly rendered
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-17 00:36 UTC by Jong Bae KO
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.13.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 02:14:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 121670 None None None Never

Description Jong Bae KO 2006-03-17 00:36:14 UTC
Description of problem:
"Chillu in malayalam is not rendered properly for Malayalam. This bug is
dependent on bug #118302 as ZWJ and ZWNJ are required to properly render
chillu in Malayalam. A screen shot of pango rendering and yudit rendering

I am using mozilla with patches from  Bug #215219 as an example of pango
rendering. The correct rendering is taken from latest yudit. Pango used is
debian version installed in my system.

raj@swathi:~/rendering/mozilla$ dpkg -l | grep libpango
ii  libpango1.0-0  1.2.3-1        Layout and rendering of internationalized te
ii  libpango1.0-co 1.2.3-1        Modules and configuration files for the Pang
ii  libpango1.0-de 1.2.3-1        Development files for the Pango"
http://bugzilla.gnome.org/show_bug.cgi?id=121670
Rajkumar S(raj@linuxense.com)

this bug is fixed some until 1.4.2 by pango developer(Owen
Taylor:otaylor@redhat.com)
more comments and discussion in an external bug reference

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Matthias Clasen 2006-06-20 05:15:02 UTC
Reassigning pango bugs to Behdad.

Comment 4 Liang Zhang 2006-07-07 01:36:34 UTC
This bug is similar with bug192226.
I wrote a patch for fixing bug192226. so I think that the patch also can fix
bug185704.
Who would test it? 



Comment 5 Liang Zhang 2006-07-11 04:26:23 UTC
This bug has been fixed and closed in the upstream of pango.
So this bug can be closed.

Comment 6 Leon Ho 2006-07-11 04:29:57 UTC
The bug cannot be closed until we have this fix in the RH package.

Comment 7 Liang Zhang 2006-07-13 06:37:51 UTC
The bug can be fixed in RH package now.


Note You need to log in before you can comment on or make changes to this bug.